For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Comment object
          • GET/comments
          • POST/comments
          • GET/comments/{id}
          • GET/comments/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsComments

/comments

POST
/ticketing/v1/comments
POST
/api/ticketing/v1/comments
$curl -X POST https://api.merge.dev/api/ticketing/v1/comments \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "model": {}
>}'
201Created
1{
2 "model": {
3 "id": "0958cbc6-6040-430a-848e-aafacbadf4ae",
4 "remote_id": "19202938",
5 "created_at": "2021-09-15T00:00:00Z",
6 "modified_at": "2021-10-16T00:00:00Z",
7 "user": "17a54124-287f-494d-965e-3c5b330c9a68",
8 "contact": "dde3fb16-b8eb-483d-81c4-b78100816f15",
9 "body": "When will these integrations be done? You all should use Merge.",
10 "html_body": "When will these integrations be done? You all should use <b>Merge<b>.",
11 "ticket": "fb8c55b6-1cb8-4b4c-9fb6-17924231619d",
12 "is_private": true,
13 "remote_created_at": "1990-11-10T00:00:00Z",
14 "remote_was_deleted": true,
15 "field_mappings": {
16 "organization_defined_targets": {
17 "custom_key": "custom_value"
18 },
19 "linked_account_defined_targets": {
20 "custom_key": "custom_value"
21 }
22 },
23 "remote_data": [
24 {
25 "path": "/platform-endpoint",
26 "data": null
27 }
28 ]
29 },
30 "warnings": [
31 {
32 "title": "Unrecognized Field",
33 "detail": "An unrecognized field, age, was passed in with request data.",
34 "problem_type": "UNRECOGNIZED_FIELD",
35 "source": {
36 "pointer": "/age"
37 },
38 "block_merge_link": true,
39 "raw_error": "string",
40 "error_code": 1
41 }
42 ],
43 "errors": [
44 {
45 "title": "Missing Required Field",
46 "detail": "custom_fields is a required field on model.",
47 "problem_type": "MISSING_REQUIRED_FIELD",
48 "source": {
49 "pointer": "/model/custom_fields"
50 },
51 "block_merge_link": true,
52 "raw_error": "string",
53 "error_code": 1
54 }
55 ],
56 "logs": [
57 {
58 "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
59 "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
60 "log_summary": {
61 "url": "www.exampleintegration.com/api/v1/exampleapi",
62 "method": "POST",
63 "status_code": 200
64 }
65 }
66 ]
67}

Creates a Comment object with the given values.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/comments

Next

/comments/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

is_debug_modebooleanOptional

Whether to include debug fields (such as log file links) in the response.

run_asyncbooleanOptional

Whether or not third-party updates should be run asynchronously.

Request

This endpoint expects an object.
modelobjectRequired

Description

The Comment object is used to represent a comment on a ticket.

Usage Example

TODO

Response

modelobject

Description

The Comment object is used to represent a comment on a ticket.

Usage Example

TODO

warningslist of objects
errorslist of objects
logslist of objects